# $Revision: 1.2 $, $Date: 2002/08/11 01:38:59 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	DataSource
Summary:	DBIx::DataSource -- Database-independant create and drop functions
Summary(pl):	DBIx::DataSource -- niezalene od bazy danych funkcje do tworzenia i usuwania
Name:		perl-%{pdir}-%{pnam}
Version:	0.02
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements create_database and drop_database functions for
databases.  It aims to provide a common interface to database creation
and deletion regardless of the actual database being used.

%description -l pl
Ten modu jest implementacj funkcji create_database i drop_database
dla baz danych. Celem jego jest dostarczenie wsplnego interfejsu do
tworzenia i usuwania baz danych, niezalenego od uywanej bazy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBIx-DataSource.spec,v $
Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
